#ifndef __CONSTANTS____H__
#define __CONSTANTS____H__

#define DEFAULT_FRAME_MS	20

#define SPECTRUM_PAPER_WIDTH	256
#define SPECTRUM_PAPER_HEIGHT	192
#define SPECTRUM_BORDER_WIDTH	48
#define SPECTRUM_BORDER_LINES_BEFORE_PAPER	64
#define SPECTRUM_BORDER_LINES_AFTER_PAPER	56

#define SPECTRUM_COLOUR_COUNT	8

#define SPECTRUM_ROM_SIZE		16384
#define SPECTRUM_RAM_SIZE		49152

#define CPU_RUN_MODE_FLAG__EXECUTE	0x01

#define CPU_MAX_DISASSEMBLED_NAME	250

#define UNUSED	0
static const char* UNUSEDSTR = "\0";

#define ULA_PORT_FE	0xFE

#define HIDE_TOP_BORDER_COUNT		33
#define HIDE_BOTTOM_BORDER_COUNT	25
#define HIDE_LEFT_BORDER_COUNT		15
#define HIDE_RIGHT_BORDER_COUNT		15

#define SPECTRUM_SCREEN_WIDTH	(SPECTRUM_PAPER_WIDTH + 2*SPECTRUM_BORDER_WIDTH)
#define SPECTRUM_SCREEN_HEIGHT	(SPECTRUM_PAPER_HEIGHT + SPECTRUM_BORDER_LINES_BEFORE_PAPER + SPECTRUM_BORDER_LINES_AFTER_PAPER)

#define VISIBLE_SPECTRUM_SCREEN_WIDTH		(SPECTRUM_SCREEN_WIDTH - HIDE_LEFT_BORDER_COUNT - HIDE_RIGHT_BORDER_COUNT)
#define VISIBLE_SPECTRUM_SCREEN_HEIGHT		(SPECTRUM_SCREEN_HEIGHT - HIDE_TOP_BORDER_COUNT - HIDE_BOTTOM_BORDER_COUNT)

#define DEFAULT_ZOOM    2

// duration in milliseconds of the one-time initial delay before the frame timer begins
#define VIDEO_DELAY_TIMER_START_MS 500


#endif // !__CONSTANTS____H__
